;************************************************************************
;* THIS INFORMATION IS PROPRIETARY TO					*
;* MICROTEC RESEARCH, INC.						*
;* 2350 Mission College Blvd.						*
;* Santa Clara, CA 95054						*
;* USA									*
;*----------------------------------------------------------------------*
;* Copyright (c) 1993  Microtec Research, Inc.				*
;* ALL RIGHTS RESERVED							*
;************************************************************************
;The software source code contained in this file and in the related
;header files is the property of Microtec Research, Inc. and may only be
;used under the terms and conditions defined in the Microtec Research
;license agreement. You may modify this code as needed but you must retain
;the Microtec Research, Inc. copyright notices, including this statement.
;Some restrictions may apply when using this software with non-Microtec
;Research software.  In all cases, Microtec Research, Inc. reserves all rights.
;
;
;
; 		MCC68K Default Linker Command File
;
CHIP	68000
listabs	publics,internals
listmap	publics
;format	ieee
;extern	ENTRY			; force load of initialization routine .. sjlee
;
; If linking with MCC68K 3.x objs, enable the next 4 lines:
;
;   alias code,9		; 9  was default value of $CODESEG in 3.x
;   alias zerovars,14		; 14 was default value of $DATASEG in 3.x
;   alias vars,13		; 13 was default value of $INITSEG in 3.x
;   alias heap,15		; 15 was heap section in 3.x
;
;  sjlee add begin

INITDATA	vars		; sjlee add

sect		appheader=$70000
align		code=4
align		const=4
align		zerovars=4
align		vars=4
align		??INITDATA=4
align		literals=4
align		malloc=4
align		stack=4
alignmod	ioports=4	; adjust alignment of ioports to long word
;

order	vars,zerovars,ioports,0				; RAM -- C sections
order	appheader,const,code,literals,strings		; ROM -- C sections
order	??INITDATA,append,cvxres				; ROM -- initialization values

;
; In the following linker commands, "<lib_dir>" should be set to
; "/usr/mri/lib/" for UNIX and "C:\mcc68k\680XX\" for MSDOS.
;
; If using A5-relative data addressing, enable the next 2 lines:
;
index	?a5,vars,$8000		      ; A5 reg must be set to ?A5 in entry.c


;--------------------------------------------------------
;User's Obj load
load obj\AppMain
load obj\frm_Main
;--------------------------------------------------------


load obj\CVXRES
load ..\cvos\cvos.lib
;load c:\mri\mcc68k\68000\mcc68ka5.lib
load C:\Microtec\tools\lib\nze\mcc68ka5.lib

end
