/*********************************************************
	۾ ʿ  Լ 
**********************************************************/

#include "AppMain.h"

bool QuitSmoking = FALSE;
U32 StartSmokingDate = 0, QuitSmokingDate = 0;
U16 Price = 1000, Piece = 10;
U16 Start_Year, Start_Month, Start_Day;
U16 Quit_Year, Quit_Month, Quit_Day, Quit_Hour, Quit_Minute, Quit_Second;
U32 Difference, Difference_Year, Difference_Month, Difference_Day, Difference_Hour, Difference_Minute;

void init_Configure(void)
{
	ComponentStruct* csp;
	char buffer[60];
	static bool first = FALSE;

	if (first == FALSE) {
		DateTimeRead(&Quit_Year, &Quit_Month, &Quit_Day, &Quit_Hour, &Quit_Minute, &Quit_Second);

		Start_Year = Quit_Year;
		Start_Month = Quit_Month;
		Start_Day = Quit_Day;
	}

	first = TRUE;

	SnPrintf(buffer, 11, "%04d-%02d-%02d", Start_Year, Start_Month, Start_Day);
	csp = FormGetComponentPtr(Button_StartSmokingDate_1050);
	GenericButtonSetLabel( csp, buffer, TRUE );

	SnPrintf(buffer, 11, "%04d-%02d-%02d", Quit_Year, Quit_Month, Quit_Day);
	csp = FormGetComponentPtr(Button_QuitsmokingDate_1060);
	GenericButtonSetLabel( csp, buffer, TRUE );

	SnPrintf(buffer, 3, "%02d", Quit_Hour);
	csp = FormGetComponentPtr(PushBtn_Hour_1062);
	GenericButtonSetLabel( csp, buffer, TRUE );

	SnPrintf(buffer, 3, "%02d", Quit_Minute);
	csp = FormGetComponentPtr(PushBtn_Minute_1063);
	GenericButtonSetLabel( csp, buffer, TRUE );

	SnPrintf(buffer, 3, "%02d", Quit_Second);
	csp = FormGetComponentPtr(PushBtn_Second_1064);
	GenericButtonSetLabel( csp, buffer, TRUE );

	csp = FormGetComponentPtr(Label_Price_1052);
	SnPrintf(buffer, 5, "%04d", Price);
	LabelSetLabel(csp, buffer, TRUE);

	csp = FormGetComponentPtr(Label_Piece_1056);
	SnPrintf(buffer, 3, "%02d", Piece);
	LabelSetLabel(csp, buffer, TRUE);
}

/*void DifferenceTime(void)
{
	char buffer[60];

	StartSmokingDate = EncodeDate(Start_Year, Start_Month, Start_Day) * 86400;
	QuitSmokingDate = EncodeDate(Quit_Year, Quit_Month, Quit_Day) * 86400 + (Quit_Hour * 3600) + (Quit_Minute * 60) + Quit_Second;
	
	Difference = (QuitSmokingDate - StartSmokingDate);
	Difference_Day = Difference / 86400;
	Difference_Hour = (Difference % 86400) / 3600;
	Difference_Minute = ((Difference % 86400) % 3600) / 60;

	SnPrintf(buffer, 60, "%d %d %d ", Difference_Day, Difference_Hour, Difference_Minute);
	MsgBoxDo(MK_INFORMATION, "ð", buffer, MSGBOX_OK);
}*/

void Page1(void)
{
	U16 Current_Year, Current_Month, Current_Day, Current_Hour, Current_Minute, Current_Second;
	U32 Current;
	const U32 Effect[]= {1200, 28800, 86400, 172800, 7776000};
	U16 Label[] = {Label_Effect1_1004, Label_Effect2_1006, Label_Effect3_1008, Label_Effect4_1011, Label_Effect5_1013};
	U32 Effect_Result;
	char buffer[60];
	ComponentStruct* csp;
	int count;

	DateTimeRead(&Current_Year, &Current_Month, &Current_Day, &Current_Hour, &Current_Minute, &Current_Second);
	Current = EncodeDate(Current_Year, Current_Month, Current_Day) * 86400 + (Current_Hour * 3600) + (Current_Minute * 60) + Current_Second;
	Difference = (Current - QuitSmokingDate);

	for (count = 0 ; count < 5 ; count++) {
		Effect_Result = Difference*100 / Effect[count];
		if (Effect_Result > 100) {
			Effect_Result = 100;
		}
		SnPrintf(buffer, 5, "%d%%", Effect_Result);
		csp = FormGetComponentPtr(Label[count]);
		LabelSetLabel( csp, buffer, TRUE );
	}

	csp = FormGetComponentPtr(Label_condition_1089);
	LabelSetLabel( csp, "ݿ", TRUE);
}

void Page2(void)
{
	U16 Current_Year, Current_Month, Current_Day, Current_Hour, Current_Minute, Current_Second;
	U32 Current;
	const U32 Effect[]= {23328000, 31536000, 157680000, 315360000};
	U16 Label[] = {Label_Effect6_1022, Label_Effect7_1025, Label_Effect8_1027, Label_Effect9_1029};
	U32 Effect_Result;
	char buffer[60];
	ComponentStruct* csp;
	int count;

	DateTimeRead(&Current_Year, &Current_Month, &Current_Day, &Current_Hour, &Current_Minute, &Current_Second);
	Current = EncodeDate(Current_Year, Current_Month, Current_Day) * 86400 + (Current_Hour * 3600) + (Current_Minute * 60) + Current_Second;
	Difference = (Current - QuitSmokingDate);

	for (count = 0 ; count < 4 ; count++) {
		Effect_Result = Difference*100 / Effect[count];
		if (Effect_Result > 100) {
			Effect_Result = 100;
		}
		SnPrintf(buffer, 5, "%d%%", Effect_Result);
		csp = FormGetComponentPtr(Label[count]);
		LabelSetLabel( csp, buffer, TRUE );
	}
	csp = FormGetComponentPtr(Label_condition_1090);
	LabelSetLabel( csp, "ݿ", TRUE);
}

void Page3(void)
{
	U16 Current_Year, Current_Month, Current_Day, Current_Hour, Current_Minute, Current_Second;
	U32 Current;
	const U32 Effect[]= {473040000};
	U16 Label[] = {Label_Effect10_1038};
	U32 Effect_Result;
	char buffer[60];
	ComponentStruct* csp;
	int count;
	float piece_per_price, piece_per_minute;

	DateTimeRead(&Current_Year, &Current_Month, &Current_Day, &Current_Hour, &Current_Minute, &Current_Second);
	Current = EncodeDate(Current_Year, Current_Month, Current_Day) * 86400 + (Current_Hour * 3600) + (Current_Minute * 60) + Current_Second;
	Difference = (Current - QuitSmokingDate);

	for (count = 0 ; count < 1 ; count++) {
		Effect_Result = Difference*100 / Effect[count];
		if (Effect_Result > 100) {
			Effect_Result = 100;
		}
		SnPrintf(buffer, 5, "%d%%", Effect_Result);
		csp = FormGetComponentPtr(Label[count]);
		LabelSetLabel( csp, buffer, TRUE );
	}

	Difference_Day = Difference / 86400;
	Difference_Hour = (Difference % 86400) / 3600;
	Difference_Minute = ((Difference % 86400) % 3600) / 60;

	SnPrintf(buffer, 60, "%d %dð %d ݿϼ̽ϴ.", Difference_Day, Difference_Hour, Difference_Minute);
	csp = FormGetComponentPtr(Label_IngDate_1040);
	LabelSetLabel( csp, buffer, TRUE);

	piece_per_price = (float)Price / (float)Piece;
	piece_per_minute = (float)Piece / 86400.0;
	SnPrintf(buffer, 60, "%d 谪 ϼ̽ϴ.", (int)(piece_per_price * piece_per_minute * Difference));
	csp = FormGetComponentPtr(Label_IngPrice_1041);
	LabelSetLabel( csp, buffer, TRUE);

	SnPrintf(buffer, 60, "%d 踦  ̽ϴ.", (int)(piece_per_minute * Difference));
	csp = FormGetComponentPtr(Label_IngPiece_1042);
	LabelSetLabel( csp, buffer, TRUE);

	csp = FormGetComponentPtr(Label_condition_1091);
	LabelSetLabel( csp, "ݿ", TRUE);
}