/*************************************************************************
 *
 * Copyright (c) 1997-2001 Jtel Corporation or its subsidiaries.
 * All rights reserved.
 *
 * DESC:
 *
 ************************************************************************/
#include "AppMain.h"


/*************************************************************************
 * Function Declarations
 ************************************************************************/
extern STATUS AppMain(U32 cmd, P_U32 param);
    static STATUS CommandProcessing(U32 cmd, P_U32 param);
    static bool ApplicationHandleEvent(EventStruct* e);
    static bool InitApp(void);
    static bool DeinitApp(void);



/*************************************************************************
 * Functions
 ************************************************************************/

bool InitApp(void)
{
    if(!FormGo(Form_Main1_1000))
        return FALSE;

    return TRUE;
}


bool DeinitApp(void)
{
    return TRUE;
}


STATUS CommandProcessing(U32 cmd, P_U32 param)
{
    STATUS ret = CVOS_NOTHING;

    switch(cmd)
    {
        case REQ_INITDB:
			//EFBSetAppStatusInBackupList(GetCurAppID(), TRUE, TRUE, TRUE);
            break;
        case REQ_INITWARMRESET:
            break;
        case REQ_VIEWFINDDATA:
            break;
        case REQ_DBTABLENUM:
            //*((P_U16)param) = 1;
            break;
        case REQ_DBTABLENAME:
            //strcpy(((P_CMDREQTBLNAME)param)[0].pTableName, TABLE_NAME);
			//((P_CMDREQTBLNAME)param)[0].Type = TYPE_USERTABLE;
            break;
        case REQ_DBTABLENAMEFORIR:
            break;
        case REQ_GLOBALFIND:
            break;
        case REQ_MATCHSTR:
            break;
        case REQ_UNINSTALL:
            break;
    }

    return ret;
}


bool ApplicationHandleEvent(EventStruct* e)
{
    bool handled = FALSE;
	U16 y1[] = {33, 62, 77, 106};	/* м Yǥ */
	U16 y2[] = {47, 76, 105};
	int count;
	ComponentStruct* csp;

    switch (e->EventType)
    {
        case FORMLOADEVENT:
            FormNew(e->ObjectID);

            switch (e->ObjectID)
            {
                case Form_Main1_1000:
                	frmMain1OnLoad();
                    FormSetEventHandler(frmMain1HandleEvent);
                    FormDraw();
					/* м ׸  */
					DrawLine(BLACK, 2, 140, 158, 140, 0, REPLACE_STYLE);
					for (count = 0 ;  count < 4 ; count++) {
						DrawLine(LIGHT_GREY, 10, y1[count], 150, y1[count], 0, REPLACE_STYLE);
					}
					/* м ׸  */
					if (QuitSmoking ==TRUE) {
						Page1();
					} else {
						csp = FormGetComponentPtr(Label_condition_1089);
						LabelSetLabel( csp, "", TRUE);
					}
                    handled = TRUE;
                    break;

				case Form_Main2_1019:
					frmMain2OnLoad();
					FormSetEventHandler(frmMain2HandleEvent);
					FormDraw();
					/* м ׸  */
					DrawLine(BLACK, 2, 140, 158, 140, 0, REPLACE_STYLE);
					for (count = 0; count < 3 ; count++) {
						DrawLine(LIGHT_GREY, 10, y2[count], 150, y2[count], 0, REPLACE_STYLE);
					}
					/* м ׸  */
					if (QuitSmoking == TRUE) {
						Page2();
					} else {
						csp = FormGetComponentPtr(Label_condition_1090);
						LabelSetLabel( csp, "", TRUE);
					}
					handled = TRUE;
					break;

				case Form_Main3_1035:
					frmMain3OnLoad();
					FormSetEventHandler(frmMain3HandleEvent);
					FormDraw();
					/* м ׸  */
					DrawLine(BLACK, 2, 140, 158, 140, 0, REPLACE_STYLE);
					DrawLine(DARK_GREY, 2, 48, 158, 48, 0, REPLACE_STYLE);
					DrawRec(LIGHT_GREY, 2, 53, 158, 111, 0, REPLACE_STYLE);
					/* м ׸  */
					if (QuitSmoking == TRUE) {
						Page3();
					} else {
						csp = FormGetComponentPtr(Label_condition_1091);
						LabelSetLabel( csp, "", TRUE);
					}
					handled = TRUE;
					break;
            }
            break;

        case FORMUNLOADEVENT:
            FormFree();
            handled = TRUE;
            break;
    }

    return handled;
}


STATUS AppMain(U32 cmd, P_U32 param)
{
    EventStruct event;

    if ( cmd != NORMAL_START )
        return ( CommandProcessing(cmd, param));

    if( !InitApp() )
        return CVOS_ERROR;

    do
    {   /* EventLoop - Listen Event */
        while(!EventGet(&event)); /* NULL LOOP */

        if(!SystemHandleEvent(&event))
            if(!MenuHandleEvent(&event))
                if(!ApplicationHandleEvent(&event))
                    FormDispatchEvent(&event);
    } while (event.EventType != APPSTOPEVENT);

    if( !DeinitApp() )
        return CVOS_ERROR;

    return CVOS_OK;
}
