/*************************************************************************
 *
 * Copyright (c) 1997-2001 Jtel Corporation or its subsidiaries.
 * All rights reserved.
 *
 * DESC:
 *
 ************************************************************************/
#include "AppMain.h"



/*************************************************************************
 * Function Declarations
 ************************************************************************/
extern bool frmConfigHandleEvent(EventStruct* e);
	extern void frmConfigOnLoad(void);

/*************************************************************************
 * Functions
 ************************************************************************/

void frmConfigOnLoad(void)
{
	ComponentStruct* csp;

	DrawLine(BLACK, 2, 138, 158, 138, 0, REPLACE_STYLE);
	DrawLine(DARK_GREY, 10, 68, 150,68, 0, REPLACE_STYLE);

	csp = FormGetComponentPtr(Button_StartQuitSmoking_1071);
	if (QuitSmoking == FALSE) {
		GenericButtonSetLabel( csp, "ݿ", TRUE );
		init_Configure();
	}

	if (QuitSmoking == TRUE) {
		GenericButtonSetLabel( csp, "ݿ", TRUE );
		init_Configure();
	}
}


bool frmConfigHandleEvent(EventStruct* e)
{
    bool handled = FALSE;
	char buffer[60];
	U16 Price_MIN_MAX[] = {100, 9900}, Piece_MIN_MAX[] = {1, 99};
	U16 Hour_MIN_MAX[] = {0, 23}, Minute_Second_MIN_MAX[] = {0, 59};
	static U16 gCompIndex = 0;
	ComponentStruct* csp;
	U8 Ret;

    switch (e->EventType)
    {
        case COMPONENTSELECTEVENT:
            switch (e->ObjectID)
			{
				case Button_StartSmokingDate_1050:
					OpenSelectDate("  ¥ ", Start_Year, Start_Month, Start_Day, &StartSmokingDate);
					DecodeDate(StartSmokingDate, &Start_Year, &Start_Month, &Start_Day);
					SnPrintf(buffer, 11, "%04d-%02d-%02d", Start_Year, Start_Month, Start_Day);
					csp = FormGetComponentPtr(Button_StartSmokingDate_1050);
					GenericButtonSetLabel( csp, buffer, TRUE );
					handled = TRUE;
					break;

				case RepeatBtn_PriceUp_1053:
					if (Price < Price_MIN_MAX[1]) {
						Price+=100;
					} else {
						Price = 100;
					}
					csp = FormGetComponentPtr(Label_Price_1052);
					SnPrintf(buffer, 5, "%04d", Price);
					LabelSetLabel(csp, buffer, TRUE);
					handled = TRUE;
					break;

				case RepeatBtn_PriceDown_1054:
					if (Price > Price_MIN_MAX[0]) {
						Price-=100;
					} else {
						Price = 9900;
					}
					csp = FormGetComponentPtr(Label_Price_1052);
					SnPrintf(buffer, 5, "%04d", Price);
					LabelSetLabel(csp, buffer, TRUE);
					handled = TRUE;
					break;

				case RepeatBtn_PieceUp_1057:
					if (Piece < Piece_MIN_MAX[1]) {
						Piece++;
					} else {
						Piece = 1;
					}
					csp = FormGetComponentPtr(Label_Piece_1056);
					SnPrintf(buffer, 3, "%02d", Piece);
					LabelSetLabel(csp, buffer, TRUE);
					handled = TRUE;
					break;

				case RepeatBtn_PieceDown_1058:
					if (Piece > Piece_MIN_MAX[0]) {
						Piece--;
					} else {
						Piece = 99;
					}
					csp = FormGetComponentPtr(Label_Piece_1056);
					SnPrintf(buffer, 3, "%02d", Piece);
					LabelSetLabel(csp, buffer, TRUE);
					handled = TRUE;
					break;

				case Button_QuitsmokingDate_1060:
					OpenSelectDate("ݿ  ¥ ", Quit_Year, Quit_Month, Quit_Day, &QuitSmokingDate);
					DecodeDate(QuitSmokingDate, &Quit_Year, &Quit_Month, &Quit_Day);
					SnPrintf(buffer, 11, "%04d-%02d-%02d", Quit_Year, Quit_Month, Quit_Day);
					csp = FormGetComponentPtr(Button_QuitsmokingDate_1060);
					GenericButtonSetLabel( csp, buffer, TRUE );
					handled = TRUE;
					break;

				case PushBtn_Hour_1062:
				case PushBtn_Minute_1063:
				case PushBtn_Second_1064:
					gCompIndex = e->ObjectID;
					break;
				case RepeatBtn_HourUp_1068:
					if (gCompIndex == 1062) {
						if (Quit_Hour < Hour_MIN_MAX[1]) {
							Quit_Hour++;
						} else {
							Quit_Hour = 0;
						}
						SnPrintf(buffer, 3, "%02d", Quit_Hour);
					}
					if (gCompIndex == 1063) {
						if (Quit_Minute < Minute_Second_MIN_MAX[1]) {
							Quit_Minute++;
						} else {
							Quit_Minute = 0;
						}
						SnPrintf(buffer, 3, "%02d", Quit_Minute);
					}
					if (gCompIndex == 1064) {
						if (Quit_Second < Minute_Second_MIN_MAX[1]) {
							Quit_Second++;
						} else {
							Quit_Second = 0;
						}
						SnPrintf(buffer, 3, "%02d", Quit_Second);
					}
					csp = FormGetComponentPtr(gCompIndex);
					GenericButtonSetLabel(csp, buffer, TRUE);
					handled = TRUE;
					break;
				case RepeatBtn_HourDown_1069:
					if (gCompIndex == 1062) {
						if (Quit_Hour > Hour_MIN_MAX[0]) {
							Quit_Hour--;
						} else {
							Quit_Hour = 23;
						}
						SnPrintf(buffer, 3, "%02d", Quit_Hour);
					}
					if (gCompIndex == 1063) {
						if (Quit_Minute > Minute_Second_MIN_MAX[0]) {
							Quit_Minute--;
						} else {
							Quit_Minute = 59;
						}
						SnPrintf(buffer, 3, "%02d", Quit_Minute);
					}
					if (gCompIndex == 1064) {
						if (Quit_Second > Minute_Second_MIN_MAX[0]) {
							Quit_Second--;
						} else {
							Quit_Second = 59;
						}
						SnPrintf(buffer, 3, "%02d", Quit_Second);
					}
					csp = FormGetComponentPtr(gCompIndex);
					GenericButtonSetLabel(csp, buffer, TRUE);
					handled = TRUE;
					break;

				case Button_QuitSmokingDateInit_1070:
					DateTimeRead(&Quit_Year, &Quit_Month, &Quit_Day, &Quit_Hour, &Quit_Minute, &Quit_Second);

					SnPrintf(buffer, 11, "%04d-%02d-%02d", Quit_Year, Quit_Month, Quit_Day);
					csp = FormGetComponentPtr(Button_QuitsmokingDate_1060);
					GenericButtonSetLabel( csp, buffer, TRUE );
					
					SnPrintf(buffer, 3, "%02d", Quit_Hour);
					csp = FormGetComponentPtr(PushBtn_Hour_1062);
					GenericButtonSetLabel( csp, buffer, TRUE );
					
					SnPrintf(buffer, 3, "%02d", Quit_Minute);
					csp = FormGetComponentPtr(PushBtn_Minute_1063);
					GenericButtonSetLabel( csp, buffer, TRUE );
					
					SnPrintf(buffer, 3, "%02d", Quit_Second);
					csp = FormGetComponentPtr(PushBtn_Second_1064);
					GenericButtonSetLabel( csp, buffer, TRUE );
					handled = TRUE;
					break;

				case Button_StartQuitSmoking_1071:
					StartSmokingDate = EncodeDate(Start_Year, Start_Month, Start_Day) * 86400;
					QuitSmokingDate = EncodeDate(Quit_Year, Quit_Month, Quit_Day) * 86400 + (Quit_Hour * 3600) + (Quit_Minute * 60) + Quit_Second;
					if (QuitSmoking == FALSE) {
						QuitSmoking = TRUE;
					} else {
						Ret = MsgBoxDo(MK_QUERY, "", "ݿ Ͻðڽϱ?", MSGBOX_NO | MSGBOX_YES);
						if (Ret == MSGBOXYESID) {
							QuitSmoking = FALSE;
						} else {
							QuitSmoking = TRUE;
						}
					}
					EventPutDBoxCloseEvent();
					FormGo(Form_Main1_1000);
					handled = TRUE;
					break;

				case Button_GoPrev_1072:
					EventPutDBoxCloseEvent();
					handled = TRUE;
					break;
            }
            break;

        case MENUSELECTEVENT:
            /*
            switch (e->ObjectID)
            {
                case MenuItem_About_1006:
                    ShowAbout(GetCurAppID());
                    break;

                case MenuItem_Help_1005:
                    {
                        APPHELPMSG  ahm;

                        ahm.pCaptionStr = (P_U8)HelloHelpCaption;
                        ahm.SbjNum = HELLO_HELPSBJNUM;
                        ahm.StartIdx = 0;
                        ahm.pSbjStr = (P_U8 *)HelloSbjStr;
                        ahm.pMsgStr = (P_U8 *)HelloMsgStr;

                        ShowHelpMessage( (P_VOID)&ahm, APPLICATION_HELP);
                    }
                    break;
            }
            */
            handled = TRUE;
            break;

    	case BUTTONREPEATEVENT :
            /*
        	switch (e->ObjectID)
            {
            	case UP_BTN:
                	hbtnUpOnClick();
                	handled = TRUE;
                	break;

            	case DOWN_BTN:
                	hbtnDownOnClick();
                	handled = TRUE;
                	break;
            }
            */
        	break;

    	case BUTTONDOWNEVENT :
            /*
        	switch (e->ObjectID)
            {
            	case UP_BTN:
                	SetRepeatKeyPeriod(NORMAL_REPEATPERIOD);
                	hbtnUpOnClick();
                	handled = TRUE;
                	break;

            	case DOWN_BTN:
                	SetRepeatKeyPeriod(NORMAL_REPEATPERIOD);
                	hbtnDownOnClick();
                	handled = TRUE;
                	break;

            	case ENTER_BTN:
                	hbtnEnterOnClick();
                	handled = TRUE;
                	break;

            	case RIGHT_BTN:
                	hbtnRightOnClick();
                	handled = TRUE;
                	break;
            }
            */
        	break;

    	case BUTTONUPEVENT :
            /*
        	switch( e->ObjectID )
            {
            	case UP_BTN:
            	case DOWN_BTN:
                	SetRepeatKeyPeriod(NONE_REPEATPERIOD);
                	handled = TRUE;
                	break;
            }
            */
        	break;
    }

	return handled;
}
